osl::PtypeTraits< KNIGHT > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =false
static const Ptype | moveType =KNIGHT
static const Ptype | basicType =KNIGHT
static const int | indexMin =18
static const int | indexLimit =22
static const int | dropBlackFromY =3
static const int | dropBlackToY =9
static const int | mayPromoteToY =5
static const int | moveMask =DirectionTraits<UUL>::mask|DirectionTraits<UUR>::mask

## Detailed Description

Definition at line 123 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< KNIGHT >::csaName | ( |  | ) |

inline static

Definition at line 131 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< KNIGHT >::name | ( |  | ) |

inline static

Definition at line 130 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< KNIGHT >::basicType =KNIGHT

static

Definition at line 129 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< KNIGHT >::betterToPromote =false

static

Definition at line 127 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< KNIGHT >::canPromote =true

static

Definition at line 126 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< KNIGHT >::dropBlackFromY =3

static

Definition at line 134 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< KNIGHT >::dropBlackToY =9

static

Definition at line 135 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< KNIGHT >::indexLimit =22

static

Definition at line 133 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< KNIGHT >::indexMin =18

static

Definition at line 132 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< KNIGHT >::isBasic =true

static

Definition at line 125 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< KNIGHT >::mayPromoteToY =5

static

Definition at line 136 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< KNIGHT >::moveMask =DirectionTraits<UUL>::mask|DirectionTraits<UUR>::mask

static

Definition at line 137 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< KNIGHT >::moveType =KNIGHT

static

Definition at line 128 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h